Subject: bug#70641: 29.1.90; default-indent-new-line cannot put comment delimiter on c-ts-mode

From: Yuan Fu <[email-masked]>
Date: Wed, 5 Mar 2025 07:04:12 -0800

> On Feb 28, 2025, at 6:40 PM, Stefan Kangas <[email-masked]> wrote:
> 
> Eli Zaretskii <[email-masked]> writes:
> 
>>> From: Yuan Fu <[email-masked]>
>>> Date: Mon, 29 Apr 2024 21:57:18 -0700
>>> Cc: 김희석 <[email-masked]>,
>>> [email-masked]
>>> 
>>>> c-mode defines a special value for comment-line-break-function,
>>>> whereas c-ts-mode does not.  Yuan, can you look into adding this?
>>> 
>>> This sounds like #70074. I’ve recently added a c-ts-mode version of
>>> comment-line-break-function on master. (That function works for any C-like
>>> language.)
>> 
>> Yes, I see that the master branch already has this issue fixed.
>> Thanks.
> 
> I'm therefore closing this bug report.

Thanks Stefan, and FTR /** comments are fontified in doc face now. (Seems I added that in 2024.)

Yuan